Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## escjava
Class RefinementSequence

    java.lang.Object
      javafe.ast.ASTNode
          javafe.ast.CompilationUnit
              escjava.RefinementSequence

All Implemented Interfaces:
  java.lang.Cloneable

public class RefinementSequence
extends CompilationUnit

Field Summary
`protected boolean` | `hasJavaDef`
`private java.util.Map` | `initblockmap`
`protected CompilationUnit` | `javacu`
`protected boolean` | `javaIsBinary`
`private TypeDecl` | `objectDecl`
`protected java.util.ArrayList` | `refinements`

Fields inherited from class javafe.ast.CompilationUnit
`duplicate, elems, imports, lexicalPragmas, loc, otherPragmas, pkgName`

Fields inherited from class javafe.ast.ASTNode
``

Constructor Summary
`RefinementSequence(java.util.ArrayList refinements, CompilationUnit javacu, AnnotationHandler ah)`

Method Summary
`FormalParaDeclVec` | `cleancopy(FormalParaDeclVec args, boolean omitFirst)`
`(package private) TypeDecl` | `cleancopy(TypeDecl td)`
`(package private) TypeDeclElem` | `cleancopy(TypeDeclElem tde)`
`(package private) TypeDeclVec` | `cleancopy(TypeDeclVec types)`
`(package private) void` | `combineFields(FieldDecl newfd, FieldDecl fd)`
`(package private) void` | `combineRoutine(RoutineDecl newrd, RoutineDecl rd)`
`(package private) void` | `combineType(TypeDecl newtd, TypeDecl td, boolean addNewItems)`
`(package private) CompilationUnit` | `consolidateRefinements(java.util.ArrayList refinements, CompilationUnit javacu)`
`boolean` | `equalTypes(Type t, Type tt)`
`(package private) MethodDecl` | `findMatchingMethod(MethodDecl md, TypeDecl td)`
`(package private) TypeDecl` | `getObjectDecl()`
`(package private) boolean` | `match(RoutineDecl newrd, RoutineDecl rd)`
`java.util.ArrayList` | `refinements()`

Methods inherited from class javafe.ast.CompilationUnit
`accept, accept, check, childAt, childCount, getEndLoc, getStartLoc, getTag, isBinary, make, sourceFile, toString`

Methods inherited from class javafe.ast.ASTNode
`clone, clone, getDecorations, setDecorations`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### javacu

    protected CompilationUnit javacu

### refinements

    protected java.util.ArrayList refinements

### hasJavaDef

    protected boolean hasJavaDef

### javaIsBinary

    protected boolean javaIsBinary

### objectDecl

    private TypeDecl objectDecl

### initblockmap

    private java.util.Map initblockmap

Constructor Detail

### RefinementSequence

    public RefinementSequence(java.util.ArrayList refinements,
                              CompilationUnit javacu,
                              AnnotationHandler ah)

Method Detail

### refinements

    public java.util.ArrayList refinements()

### consolidateRefinements

    CompilationUnit consolidateRefinements(java.util.ArrayList refinements,
                                           CompilationUnit javacu)

### combineFields

    void combineFields(FieldDecl newfd,
                       FieldDecl fd)

### match

    boolean match(RoutineDecl newrd,
                  RoutineDecl rd)

### equalTypes

    public boolean equalTypes(Type t,
                              Type tt)

### combineRoutine

    void combineRoutine(RoutineDecl newrd,
                        RoutineDecl rd)

### combineType

    void combineType(TypeDecl newtd,
                     TypeDecl td,
                     boolean addNewItems)

### findMatchingMethod

    MethodDecl findMatchingMethod(MethodDecl md,
                                  TypeDecl td)

### getObjectDecl

    TypeDecl getObjectDecl()

### cleancopy

    TypeDeclVec cleancopy(TypeDeclVec types)

### cleancopy

    TypeDecl cleancopy(TypeDecl td)

### cleancopy

    TypeDeclElem cleancopy(TypeDeclElem tde)

### cleancopy

    public FormalParaDeclVec cleancopy(FormalParaDeclVec args,
                                       boolean omitFirst)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

The ESC/Java2 Project Homepage